/*
<div class="mw_ui single"><a class ="btn" type="link" href="www" target="_ip" title="Go to ----"><span class="deco">Go to Link Name</span></a></div>
*/

.mw_ui.single {margin:5px 0 10px 0;text-align:center;}
.mw_ui.set {text-align:left;}

.mw_ui a.btn {cursor:pointer;position:relative;display:inline-block;margin-top:5px;text-decoration:none;}
.mw_ui a.btn:hover {}

.mw_ui a.btn[type][icon-style][icon-align='left'] {padding:12px 40px 12px 60px;}
.mw_ui a.btn[type][icon-style][icon-align='right'] {padding:12px 60px 12px 40px;}

.mw_ui a.btn[type][icon-style][icon-align='left']::before,
.mw_ui a.btn[type][icon-style][icon-align='right']::after {position:absolute;top:18px;padding:0px 35px;font-size:18px;font-weight:bold;}
.mw_ui a.btn[type][icon-style][icon-align='left']::before {left:0px;}
.mw_ui a.btn[type][icon-style][icon-align='right']::after {right:0px;}

.mw_ui a.btn[type][icon-style~='arrow'][icon-align='left']::before,
.mw_ui a.btn[type][icon-style~='arrow'][icon-align='right']::after {content:"❯ ";}


.mw_ui a.btn[type='link']				{padding:12px 20px;font-size:24px;color:#1CA818;border-radius:6px;border:1px solid #dcdcdc;}
.mw_ui a.btn[type='link']				{text-shadow:0px 1px 0px #ffffff;background:linear-gradient(to bottom, #ffffff 5%, #f6f6f6 100%);}
.mw_ui a.btn[type='link']:hover		{color:#D30BDF;background-color:#f6f6f6;background:linear-gradient(to bottom, #f6f6f6 5%, #ffffff 100%);}
.mw_ui a.btn[type='link']:hover > span.deco {color:#D30BDF;text-decoration:underline;}
.mw_ui a.btn[type='link'][icon-style][icon-align='left'] {padding:12px 20px 12px 35px;}
.mw_ui a.btn[type='link'][icon-style][icon-align='right'] {padding:12px 35px 12px 20px;}

.mw_ui a.btn[type='file']				{}
.mw_ui a.btn[type='file']:hover		{}


.mw_ui a.btn[type='quick']			{margin:5px 0 50px 0;padding:16px 80px;font-size:32px;background:linear-gradient(to bottom, #b52b3f, #760c1b);color:#d6c4bf;border-radius:6px;}
.mw_ui a.btn[type='quick']:hover	{text-decoration:none;background:none;background-color:#b52b3f;color:#ffffff;}
.mw_ui a.btn[type='quick'][icon-style][icon-align='left'] {padding:16px 60px 16px 80px;}
.mw_ui a.btn[type='quick'][icon-style][icon-align='right'] {padding:16px 80px 16px 60px;}

.mw_ui a.btn[type='quick'][icon-style~='arrow'][icon-align='left']::before,
.mw_ui a.btn[type='quick'][icon-style~='arrow'][icon-align='right']::after {top:22px;padding:0px 47px;font-size:24px;}




@media screen and (max-width: 501px) {
	.mw_ui {display:block;text-align:center;}
	.mw_ui a.btn[type] {display:block;margin:5px auto 50px auto;width:90%;padding:10px 15px;}

	.mw_ui a.btn[type][icon-style][icon-align='left']::before,
	.mw_ui a.btn[type][icon-style][icon-align='right']::after {top:18px;padding:0px 35px;font-size:12px;}

	.mw_ui a.btn[type][icon-style][icon-align='left'] {padding:12px 5px 12px 25px;}
	.mw_ui a.btn[type][icon-style][icon-align='right'] {padding:12px 25px 12px 5px;}
	
	.mw_ui a.btn[type='link'] {font-size:18px;}

	.mw_ui a.btn[type='link']:has(span[enter='m']) {line-height:1.6;}
	.mw_ui a.btn[type='link']:has(span[enter='m'])[icon-style][icon-align='left'] {padding:12px 12px 12px 76px;text-align:left;}
	.mw_ui a.btn[type='link']:has(span[enter='m'])[icon-style][icon-align='right'] {padding:12px 76px 12px 12px;text-align:right;}
	.mw_ui a.btn[type='link']:has(span[enter='m'])[icon-style][icon-align='left']::before,
	.mw_ui a.btn[type='link']:has(span[enter='m'])[icon-style][icon-align='right']::after {top:16px;padding:0px 40px;font-size:26px;}

	.mw_ui a.btn[type='quick'] {padding:12px 60px 15px 40px !important;font-size:20px;font-weight:bold;}
	.mw_ui a.btn[type='quick'][icon-style][icon-align='left']::before,
	.mw_ui a.btn[type='quick'][icon-style][icon-align='right']::after {top:13px;padding:0px 55px;font-size:18px;}
}

